Theme
Create Task sujaykhandekar/object-removal
POST
https://www.kkiai.com/replicate/v1/predictions
Official documentation: https://replicate.com/sujaykhandekar/object-removal
Request Parameters
Authorization
Add the Authorization parameter to the Header. Its value should be the Token concatenated after Bearer.
Example: Authorization: Bearer ********************
Header Parameters
| Parameter Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization | string | Optional | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter Name | Type | Required | Description |
|---|---|---|---|
version | string | Optional | |
input | object | Optional | |
└ image_path | string | Required | Input image (ideally a square image) |
└ objects_to_remove | string | Optional | Objects to remove (comma-separated, e.g., car, cat, bird). For a complete list of names, visit https://github.com/sujaykhandekar/Automated-objects-removal-inpainter/blob/master/segmentation_classes.txt. |
Request Example
json
{
"version": "sujaykhandekar/object-removal:153b0087c2576ad30d8cbddb35275b387d1a6bf986bda5499948f843f6460faf",
"input": {
"image_path": "https://replicate.delivery/mgxm/ea0bab67-b35e-45d8-b0ea-fd3971de3dbd/shop.jpg",
"objects_to_remove": "person"
}
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/replicate/v1/predictions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"version": "sujaykhandekar/object-removal:153b0087c2576ad30d8cbddb35275b387d1a6bf986bda5499948f843f6460faf",
"input": {
"image_path": "https://replicate.delivery/mgxm/ea0bab67-b35e-45d8-b0ea-fd3971de3dbd/shop.jpg",
"objects_to_remove": "person"
}
}'Response
🟢 200 Success
Response Body
| Parameter Name | Type | Required | Description |
|---|---|---|---|
id | string | Required | |
model | string | Required | |
version | string | Required | |
input | object | Required | |
└ aspect_ratio | string | Required | |
└ input_image | string | Required | |
└ output_format | string | Required | |
└ prompt | string | Required | |
└ prompt_upsampling | boolean | Required | |
└ safety_tolerance | integer | Required | |
logs | string | Required | |
output | null | Required | |
data_removed | boolean | Required | |
error | null | Required | |
status | string | Required | |
created_at | string | Required | |
urls | object | Required | |
└ cancel | string | Required | |
└ get | string | Required | |
└ stream | string | Required | |
└ web | string | Required |
Response Example
json
{
"created": 1589478378,
"data": [
{
"url": "https://..."
},
{
"url": "https://..."
}
]
}